This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247627 - [RFE] pod list in "browse" tab shows spinning icon which is confusing
[RFE] pod list in "browse" tab shows spinning icon which is confusing
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Robb Hamilton
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 09:17 EDT by Erik M Jacobs
Modified: 2017-06-29 14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replacing fa-refresh with pficon-running (139.44 KB, image/png)
2016-12-13 08:42 EST, Robb Hamilton
no flags Details
Replacing fa-refresh with pficon-running with motion (18.34 KB, image/gif)
2016-12-13 08:43 EST, Robb Hamilton
no flags Details
Travis build in progress indicator (9.41 KB, image/gif)
2016-12-14 15:54 EST, Robb Hamilton
no flags Details
Jenkins build in progress indicator (7.78 KB, image/gif)
2016-12-14 15:55 EST, Robb Hamilton
no flags Details
Newer Jenkins build in progress indicator (7.71 KB, image/gif)
2016-12-15 11:50 EST, Robb Hamilton
no flags Details
Jenkins Blue Ocean build in progress indicator (animated gif) (121.95 KB, image/gif)
2017-06-29 14:25 EDT, Robb Hamilton
no flags Details
Jenkins Blue Ocean build progress indicator 2 (animated gif) (16.07 KB, image/gif)
2017-06-29 14:36 EDT, Robb Hamilton
no flags Details

  None (edit)
Description Erik M Jacobs 2015-07-28 09:17:31 EDT
If you go into the web UI and go to the "Browse" tab and then select "Pods", you will see that a running pod has the "fa-spin" spinning circle arrow.

This is confusing because we use the same icon during builds. Builds represent something about to be in transition.

I understand that the spinning icon is used throughout the UI to indicate "running", but, as with the status of build being "running" (https://github.com/openshift/origin/issues/3847) there is some confusing/missing context.

I think it would be better to adopt a color scheme dot for the pod status that also should match whatever colors we use on the overview tab to indicate pod health / pod status.

green = healthy
yellow = unhealthy (perhaps not yet ready, etc)
red = failed / warning (perhaps couldn't schedule, failed health check, etc)

and so on and so forth.

This would be a much more "expected" user experience.
Comment 2 Jessica Forrester 2016-12-09 16:01:24 EST
@rhamilto one you can ponder, the answer may be we don't change anything but we should consider it
Comment 3 Robb Hamilton 2016-12-13 08:42 EST
Created attachment 1231209 [details]
Replacing fa-refresh with pficon-running
Comment 4 Robb Hamilton 2016-12-13 08:43 EST
Created attachment 1231211 [details]
Replacing fa-refresh with pficon-running with motion
Comment 5 Robb Hamilton 2016-12-13 08:44:13 EST
The sole use of color is problematic for colorblind users (estimates are as high as 10% of the male population), so I think we'll also need to consider shape and/or motion as well.  

Brainstorming:  PatternFly includes a "running" icon (see pficon-running at https://www.patternfly.org/styles/icons), which we could use in place of the existing fa-refresh. Coupled with the addition of color and retaining the current rules regarding motion (spin) [1], this could be a step towards improvement.  See attachments.

[1] if there are more than one status icons on the page, the motion is disabled (e.g., browse/pods)
Comment 6 Jessica Forrester 2016-12-13 16:51:07 EST
Agreed that color only is not an option.

I'm curious if the patternfly folks intended that icon to be used without motion?  I'm not sure I would see that in its static state and get 'running' from it.  Whereas refresh is able to indicate motion even when it's static.
Comment 7 Robb Hamilton 2016-12-14 11:27:08 EST
Given that we also use fa-refresh to indicate active deployments, what if we switch builds to pficon-running instead of pods?  That way, we retain the meaning for both deployments and pods, but create a unique instance for builds (since it seems to be the outlier)?  It seems we could always spin pficon-running for builds (thus alleviating the concern about the icon not indicating 'running') since a build has a finite time span and won't typically have multiples running concurrently?
Comment 8 Robb Hamilton 2016-12-14 15:54 EST
Created attachment 1231882 [details]
Travis build in progress indicator

Food for thought:  Travis uses this animated "icon" to indicate a build is running.
Comment 9 Robb Hamilton 2016-12-14 15:55 EST
Created attachment 1231883 [details]
Jenkins build in progress indicator

Food for thought:  Jenkins uses this animated "icon" to indicate a build is running.
Comment 10 Samuel Padgett 2016-12-14 16:03:44 EST
I'm not sure we should have different icons for the same status labels like "Running." They also show together on the monitoring page, which might look odd.

(In reply to Erik M Jacobs from comment #0)

> I think it would be better to adopt a color scheme dot for the pod status
> that also should match whatever colors we use on the overview tab to
> indicate pod health / pod status.
> 
> green = healthy
> yellow = unhealthy (perhaps not yet ready, etc)
> red = failed / warning (perhaps couldn't schedule, failed health check, etc)
> 
> and so on and so forth.
> 
> This would be a much more "expected" user experience.

For what it's worth, we've done something like this already. Pods with crashing containers now have a red `X` and status displayed even though the pod is "Running." So you can see when a pod is unhealthy directly from this list. We also show the number of containers ready in the table.
Comment 11 Robb Hamilton 2016-12-15 11:50 EST
Created attachment 1232278 [details]
Newer Jenkins build in progress indicator
Comment 12 Robb Hamilton 2017-06-29 14:25 EDT
Created attachment 1292950 [details]
Jenkins Blue Ocean build in progress indicator (animated gif)
Comment 13 Robb Hamilton 2017-06-29 14:36 EDT
Created attachment 1292954 [details]
Jenkins Blue Ocean build progress indicator 2 (animated gif)

Note You need to log in before you can comment on or make changes to this bug.